/*
 * Definitions for libmdmp
 *
 * Copyright (C) 2014-2018, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( _LIBMDMP_DEFINITIONS_H )
#define _LIBMDMP_DEFINITIONS_H

#include <libmdmp/types.h>

#define LIBMDMP_VERSION			20180809

/* The version string
 */
#define LIBMDMP_VERSION_STRING		"20180809"

/* The access flags definitions
 * bit 1        set to 1 for read access
 * bit 2        set to 1 for write access
 * bit 3-8      not used
 */
enum LIBMDMP_ACCESS_FLAGS
{
	LIBMDMP_ACCESS_FLAG_READ	= 0x01,
/* Reserved: not supported yet */
	LIBMDMP_ACCESS_FLAG_WRITE	= 0x02
};

/* The file access macros
 */
#define LIBMDMP_OPEN_READ		( LIBMDMP_ACCESS_FLAG_READ )
/* Reserved: not supported yet */
#define LIBMDMP_OPEN_WRITE		( LIBMDMP_ACCESS_FLAG_WRITE )
/* Reserved: not supported yet */
#define LIBMDMP_OPEN_READ_WRITE		( LIBMDMP_ACCESS_FLAG_READ | LIBMDMP_ACCESS_FLAG_WRITE )

#endif /* !defined( _LIBMDMP_DEFINITIONS_H ) */

